Subject: Re: Samba install problems
From: Chris Faylor <[email-masked]>
To: Harold Hunt <[email-masked]>
Cc: [email-masked], DJ Delorie <[email-masked]>
Date: Mon, 11 Sep 2000 15:58:48 -0400

On Mon, Sep 11, 2000 at 03:24:14PM -0400, Harold Hunt wrote:
>DJ,
>
>When running setup.exe from my Samba share, U:, I get the following log
>results:
>mbox fatal: Can't open latest/ash/ash-20000823.tar.gz.tmp for writing: No
>such file or directory
>
>/var/log/samba/log.bones contains the following error message:
>[2000/09/11 13:57:51, 0] smbd/open.c:open_directory(1188)
>  open_directory: unable to create disks/cygdown/latest/ash. Error was No
>such
>  file or directory
>
>When running the same setup.exe on C: I get no such errors.
>
>The following program fails as well, giving the same message in the Samba
>log file:
>int main(int argc, char* argv[])
>{
>	int						iResult = 0 ;
>	DWORD					dwError = 0 ;
>
>	iResult = CreateDirectory( "U:\\disks\\cygdown\\latest\\ash\\", NULL
>) ;
>	
>	if (!iResult) {
>		dwError = GetLastError() ;
>		cout << "CreateDirectory failed: " << dwError << endl ;
>	} else {
>		cout << "CreateDirectory succeeded" << endl ;
>	}
>
>	return 0;
>}
>
>However, CreateDirectory("U:\\disks\\cygdown\\latest\\", NULL ) works, note,
>u:\disks\cygdown exists at time of call, but u:\disks\cygdown\latest does
>not exist; it seems to me that Samba fails on CreateDirectory calls that
>attempt to create nested non-existent directories.  I'm guessing that this
>has to have showed up as a bug report for Samba, as CreateDirectory is
>primarily used for creating several directories at once, so this has
>probably been fixed after Samba 2.0.6, but I have yet to check for such a
>bug report.

I believe that this may just be a problem with the trailing backslash.  I
think we go out of our way to get rid of this in cygwin.

(Note that I've redirected this discussion to the cygwin mailing list)

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]